=== main/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
#

include $(TOPDIR)/mk/config.mk

LIB	:= libmain.o

HEAD    := fes1_head.o
MAIN   += fes1_main.o

SRCS	:= $(MAIN:.o=.c) $(COBJS:.o=.c) $(HEAD:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS) $(COBJS-y) $(SOBJS))
HEAD    := $(addprefix $(obj),$(HEAD))
MAIN	:= $(addprefix $(obj),$(MAIN))

all:	$(obj).depend $(HEAD) $(MAIN) $(LIB) $(DATA)

$(LIB):	$(OBJS) $(HEAD)
	$(call cmd_link_o_target, $(OBJS))
#########################################################################

# defines $(obj).depend target
include $(TOPDIR)/mk/rules.mk

sinclude $(obj).depend

#########################################################################
