=== debian/changelog ===
nezha-boot0 (1.0.1+11+g70d35f2-0ubuntu1) jammy; urgency=medium

  * Initial release (LP: #1948042)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 14 Dec 2021 12:33:39 +0100
