=== debian/control ===
Source: nezha-boot0
Section: misc
Priority: optional
Maintainer: Heinrich Schuchardt <heinrich.schuchardt@canonical.com>
Build-Depends: debhelper-compat (=13),
 gcc-riscv64-linux-gnu, python3
Standards-Version: 4.5.1
Homepage: https://github.com/smaeul/sun20i_d1_spl
Vcs-Browser: https://github.com/smaeul/sun20i_d1_spl
Vcs-Git: https://github.com/smaeul/sun20i_d1_spl.git
Rules-Requires-Root: no

Package: nezha-boot0
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: boot0 for Allwinner Nezha D1 board
 boot0 is based on U-Boot SPL and serves to load OpenSBI and main U-Boot.
