=== debian/rules ===
#!/usr/bin/make -f

unexport LDFLAGS
unexport OBJCFLAGS

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	# Always set CROSS_COMPILE, which also works for native builds.
	CROSS_COMPILE=riscv64-linux-gnu- make \
		p=sun20iw1p1 mmc

override_dh_auto_test:

override_dh_auto_install:
	find . -name boot0_sdcard_sun20iw1p1.bin
