=== lzma/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright (C) 2007-2008 Industrie Dial Face S.p.A.
# SPDX-License-Identifier: GPL-2.0+
# Luigi 'Comio' Mantellini (luigi.mantellini@idf-hit.com)
#
# (C) Copyright 2003-2006
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.

ccflags-y += -D_LZMA_PROB32

obj-y += LzmaDec.o LzmaTools.o
