=== dram/sun20iw1p1/lib-dram/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 
 COBJS	:= $(COBJS)
-SRCS	:= $(COBJS:.o=.S)
+SRCS	:= $(COBJS:.o=.c)
 OBJS	:= $(addprefix $(obj),$(COBJS))
 
 #LIBASM  = mctl_hal.S
