=== debian/changelog ===
nezha-boot0 (20220228+g0ad88bf-0ubuntu2~22.04.1) jammy; urgency=medium

  * Update to current upstream, commit 0ad88bfdb723
    - Provides automatic detection of RAM size (LP: #1965260)
    - d/postinst: Fix model string 'NeZha' -> 'Nezha'

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Mon, 20 Jun 2022 14:28:46 +0200
